'Using the Future.Library to store data in the XMS-memory
'
'$INCLUDE: 'future.bi'
CLS
IF IsXMSInstalled <> -1 THEN PRINT "No XMS": END

myhandle% = AllocateXMS(4098)
a$ = "1-2-3"
Bytes& = LEN(a$)
MoveToXMS myhandle%, VARSEG(a$), SADD(a$), Bytes&, 0
a$ = "***** Test!!"
MoveFromXMS myhandle%, VARSEG(a$), SADD(a$), Bytes&, 0
PRINT a$
DeallocateXMS myhandle%

